## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples
Class ASAContextType

    java.lang.Object
      org.eclipse.jface.text.templates.TemplateContextType
          org.eclipse.datatools.sqltools.editor.template.GenericSQLContextType
              org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.ASAContextType

    public class ASAContextType

extends GenericSQLContextType

Author:
  Hui Cao

Field Summary
`static java.lang.String` `SQL_CONTEXT_TYPE` This context's id

Constructor Summary
`ASAContextType()`

Method Summary
`GenericSQLContext` `createContext(org.eclipse.jface.text.IDocument document, int completionOffset, int completionLength, ParsingResult result)`
`java.lang.String[]` `getIds()` return the compatible context type ids.
`java.lang.String` `getSQLContextId()`

Methods inherited from class org.eclipse.jface.text.templates.TemplateContextType
`addResolver, getId, getName, removeAllResolvers, removeResolver, resolve, resolve, resolvers, setId, setName, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_CONTEXT_TYPE

    public static final java.lang.String SQL_CONTEXT_TYPE

  This context's id

  See Also:
    Constant Field Values

Constructor Detail

### ASAContextType

    public ASAContextType()

Method Detail

### getIds

    public java.lang.String[] getIds()

  return the compatible context type ids. subclass should override this method.

  Overrides:
    `getIds` in class `GenericSQLContextType`
  Returns:

### createContext

    public GenericSQLContext createContext(org.eclipse.jface.text.IDocument document,
                                           int completionOffset,
                                           int completionLength,
                                           ParsingResult result)

  Overrides:
    `createContext` in class `GenericSQLContextType`

### getSQLContextId

    public java.lang.String getSQLContextId()

  Overrides:
    `getSQLContextId` in class `GenericSQLContextType`
  Returns:
    Returns the sQL_CONTEXT_TYPE.